function node = setStateVector(node, stateVector)

% SETSTATEVECTOR Set the states of the nodes in NODE from a row vector.
%   
%   SETSTATEVECTOR(STATEVECTOR) returns the modified node.
% 
%   Input:
%       node               - 1 x n structure-array containing node information
%       stateVector        - 1 x n array with node states
%
%   Output: 
%       node               - 1 x n structure-array containing node information
%                            

for i=1:length(stateVector)
   node(i).state = stateVector(i);
end
